@extends('layouts.app')

@section('content')
<div class="container">
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <div class="panel panel-default">
        <div class="panel-heading">Item Entry</div>

        <div class="panel-body">
          <form id="item_form" required method="post" action="/items" enctype="multipart/form-data" class=form-horizontal>
            {{ csrf_field() }}
            <div class=form-group>
              <label for=itemnum class="col-sm-3 col-sm-offset-1 control-label">
                Item Number:
              </label>
              <div class=col-sm-2>
                <input type="text" name="itemnum" id="itemnum" class=form-control />
              </div>
            </div>
            <div class=form-group>
              <label for=itemdesc class="col-sm-3 col-sm-offset-1 control-label">
                Description:
              </label>
              <div class=col-sm-4>
                <textarea name="itemdesc" id="itemdesc" cols="40" rows="5" class=form-control></textarea>
              </div>
            </div>
            <div class=form-group>
              <label for=itemminbid class="col-sm-3 col-sm-offset-1 control-label">
                Minimum Bid:
              </label>
              <div class=col-sm-4>
                <input type="text" name="itemminbid" id="itemminbid" class=form-control />
              </div>
            </div>
            <div class=form-group>
              <label for=itemestvalue class="col-sm-3 col-sm-offset-1 control-label">
                Estimated Value:
              </label>
              <div class=col-sm-4>
                <input type="text" name="itemestvalue" id="itemestvalue" class=form-control />
              </div>
            </div>
            <div class=form-group>
              <div class="col-sm-offset-5 col-sm-10">
                <button type="submit" value="Submit" class="btn btn-primary">Submit</button>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection
