@extends('layouts.app')

@section('content')
<div class="container">
  <div class="row">
    <div class="col-md-12">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3>
            Show Car List
          </h3>
        </div>
        <div class="panel-body">
          @if($showcarlist_results)
          <table align='center' class='table table-striped table-condensed table-hover table-bordered'>
            <tr>
              <th>
                #:
              </th>
              <th>
                Last Name:
              </th>
              <th>
                First Name:
              </th>
              <th>
                Address:
              </th>
              <th>
                City:
              </th>
              <th>
                State:
              </th>
              <th>
                Zip:
              </th>
              <th>
                Phone:
              </th>
              <th>
                Email:
              </th>
              <th>
                Year:
              </th>
              <th>
                Make:
              </th>
              <th>
                Model:
              </th>
              <th>
                Type:
              </th>
            </tr>
            @foreach($showcarlist_results as $showcarlist_result)
            <tr>
              <td>
                {{ $showcarlist_result->bidder_assigned_number }}
              </td>
              <td>
                {{ $showcarlist_result->bidder_lname }}
              </td>
              <td>
                {{ $showcarlist_result->bidder_fname }}
              </td>
              <td>
                {{ $showcarlist_result->bidder_addr }}
              </td>
              <td>
                {{ $showcarlist_result->bidder_city }}
              </td>
              <td>
                {{ $showcarlist_result->bidder_state }}
              </td>
              <td>
                {{ $showcarlist_result->bidder_zip }}
              </td>
              <td>
                {{ $showcarlist_result->bidder_phone }}
              </td>
              <td>
                {{ $showcarlist_result->bidder_email }}
              </td>
              <td>
                {{ $showcarlist_result->year }}
              </td>
              <td>
                {{ $showcarlist_result->make }}
              </td>
              <td>
                {{ $showcarlist_result->model }}
              </td>
              <td>
                {{ $showcarlist_result->vehicles[0]->vehicleType->category_name }}
              </td>
            </tr>
            @endforeach
          </table>
          @else
          <h3>
            No Bidders
          </h3>
          @endif
        </div>
      </div>
    </div>
  </div>
</div>
@endsection
